c++-gtk-utils: Cgu::Callback::Callback_lambda< Lambda, FreeArgs > Class Template Reference

c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Cgu::Callback::Callback_lambda< Lambda, FreeArgs > Class Template Reference

`#include <callback.h>`

Inheritance diagram for Cgu::Callback::Callback_lambda< Lambda, FreeArgs >:

## Public Member Functions
void | dispatch (typename Cgu::Param< FreeArgs >::ParamType... free_args) const
template<class L >
| Callback_lambda (L &&l_)
Public Member Functions inherited from Cgu::Callback::CallbackArg< FreeArgs... >
| CallbackArg ()
virtual | ~CallbackArg ()

## Constructor & Destructor Documentation

## ◆ Callback_lambda()

template<class Lambda , class... FreeArgs>
template<class L >

Cgu::Callback::Callback_lambda< Lambda, FreeArgs >::Callback_lambda | ( | L && | l_ | ) |
| inline

## Member Function Documentation

## ◆ dispatch()

template<class Lambda , class... FreeArgs>

void Cgu::Callback::Callback_lambda< Lambda, FreeArgs >::dispatch | ( | typename Cgu::Param< FreeArgs >::ParamType... | args | ) | const
| inlinevirtual

This will execute the referenced function, callable object or class method encapsulated by this class. It will only throw if the dispatched function, callable object or class method throws, or if the copy constructor of a free or bound argument throws and it is not a reference argument. It is thread safe if the referenced function or class method is thread safe.

Parameters

  args | The unbound arguments to be passed to the referenced function, callable object or class method, if any.

Note
  We use dispatch() to execute the callback, because the callback would normally be invoked through a base class pointer. To invoke it through operator()(), use the FunctorArg or SafeFunctorArg wrapper class.

Implements Cgu::Callback::CallbackArg< FreeArgs... >.

The documentation for this class was generated from the following file:

- callback.h